Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/libmbfl: [V2] This is Libmbfl, a streamable multibyte character code filter and converter library.

From: Valery Kartel <valery.kartel_at_gmail.com>
Date: Wed, 20 Jan 2016 13:57:48 +0200

---
 testing/libmbfl/APKBUILD               | 110 +++++++++++++++++++++++++++++++++
 testing/libmbfl/filters_makefile.patch |  20 ++++++
 2 files changed, 130 insertions(+)
 create mode 100644 testing/libmbfl/APKBUILD
 create mode 100644 testing/libmbfl/filters_makefile.patch
diff --git a/testing/libmbfl/APKBUILD b/testing/libmbfl/APKBUILD
new file mode 100644
index 0000000..f1ec645
--- /dev/null
+++ b/testing/libmbfl/APKBUILD
_at_@ -0,0 +1,110 @@
+# Contributor: Valery Kartel <valery.kartel_at_gmail.com>
+# Maintainer: Valery Kartel <valery.kartel_at_gmail.com>
+pkgname=libmbfl
+pkgver=1.3.2
+pkgrel=0
+pkgdesc="A streamable multibyte character code filter and converter library"
+url="https://github.com/moriyoshi/libmbfl"
+arch="all"
+license="LGPLv2.1"
+depends=
+makedepends="libtool autoconf automake"
+install=
+subpackages="$pkgname-dev"
+source="https://github.com/moriyoshi/libmbfl/archive/$pkgname-$pkgver.tar.gz
+	ftp://ftp.unicode.org/Public/MAPPINGS/ISO8859/8859-1.TXT
+	ftp://ftp.unicode.org/Public/MAPPINGS/ISO8859/8859-2.TXT
+	ftp://ftp.unicode.org/Public/MAPPINGS/ISO8859/8859-3.TXT
+	ftp://ftp.unicode.org/Public/MAPPINGS/ISO8859/8859-4.TXT
+	ftp://ftp.unicode.org/Public/MAPPINGS/ISO8859/8859-5.TXT
+	ftp://ftp.unicode.org/Public/MAPPINGS/ISO8859/8859-6.TXT
+	ftp://ftp.unicode.org/Public/MAPPINGS/ISO8859/8859-7.TXT
+	ftp://ftp.unicode.org/Public/MAPPINGS/ISO8859/8859-8.TXT
+	ftp://ftp.unicode.org/Public/MAPPINGS/ISO8859/8859-9.TXT
+	ftp://ftp.unicode.org/Public/MAPPINGS/ISO8859/8859-10.TXT
+	ftp://ftp.unicode.org/Public/MAPPINGS/ISO8859/8859-11.TXT
+	ftp://ftp.unicode.org/Public/MAPPINGS/ISO8859/8859-13.TXT
+	ftp://ftp.unicode.org/Public/MAPPINGS/ISO8859/8859-14.TXT
+	ftp://ftp.unicode.org/Public/MAPPINGS/ISO8859/8859-15.TXT
+	ftp://ftp.unicode.org/Public/MAPPINGS/ISO8859/8859-16.TXT
+	ftp://ftp.unicode.org/Public/UNIDATA/EastAsianWidth.txt
+	filters_makefile.patch"
+
+_builddir="$srcdir"/$pkgname-$pkgname-$pkgver
+
+prepare() {
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+	cp "$srcdir"/*.TXT "$srcdir"/*.txt filters/
+}
+
+build(){
+	cd "$_builddir"
+	./buildconf || return 1
+	./configure --prefix=/usr || return 1
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="22a1fb428c9fb8a6cefbe6c44e60a67a  libmbfl-1.3.2.tar.gz
+04f22df04cebd74fb65aa0f14c73aa9a  8859-1.TXT
+e1254b30bc85cd26419e3cbcd221bde0  8859-2.TXT
+05466acf5341fbf64fc83f8cb4d38197  8859-3.TXT
+0d7f82192ed7edfa29365118520e479f  8859-4.TXT
+b1937e0d002863973f71f717a895ade2  8859-5.TXT
+2be96800894d08174bee321eb7a69f2e  8859-6.TXT
+30a928e51972cf052e0e07e3e090a934  8859-7.TXT
+7388bc3a3fc90aa94a7c33f897cc50b8  8859-8.TXT
+0f1c09d8374ba15515351c2acddfed1f  8859-9.TXT
+893e17d4a8154f6794fb2516f2a31137  8859-10.TXT
+3b2a17877945be528e3238aa1e9f4be9  8859-11.TXT
+e259f8e7fa5bc2afd4fa16bb837d07c0  8859-13.TXT
+9c812fe49ba18422737f92f1d5210bc7  8859-14.TXT
+997b91806425e100ab76f82fc618bd1a  8859-15.TXT
+a23f0901df4c1ffa1aa4943d83774d93  8859-16.TXT
+e4782d8f5ea275085b68bb0914a1599b  EastAsianWidth.txt
+fa059f370036988652491a7e5ba0cc88  filters_makefile.patch"
+sha256sums="b20abb2712d5d8e51d8e3e38bd96b68e3a3c3e85e53f353801ab71a819e39d4d  libmbfl-1.3.2.tar.gz
+2a06a462bf74ae65a77b700f235ac05156ac20f4aaefe39f09cc20d50628bb5e  8859-1.TXT
+020946e114335b17e7d29fe8a8449786cffed714cf409b11d0b3a375197188d1  8859-2.TXT
+23b2d7815946cb1232c71a1543033afc396c750ffa19a3771662cf23e6194552  8859-3.TXT
+e717699903bef2144234279a598ce39b44502942c9cc23a2ce2069a65f46b00d  8859-4.TXT
+9a2efea39673f95c5daa277c46ad09a41e95f27c225270424a604d033db9bd8f  8859-5.TXT
+7012241bd7143a3bf98861e497cd3cc092edebc3e063fc7d576420f22d22f11e  8859-6.TXT
+94f4a1c89ba6b2e1c1f8b30676cb5d15f232dbac36ae4ad20018a65e0f3fb9a3  8859-7.TXT
+cbe3205c5c6f92589d6a8673d56c51d89659ae290185457e6e2f81fee7a1ad2d  8859-8.TXT
+4397082eb5cbbc299264b3b73405cc0946ec5c79328eb9de75f8a5da1ab8e712  8859-9.TXT
+3441c37377c6721586255282ef4302c0ca61796674361959b3a2591f823a0e67  8859-10.TXT
+a6c8891b5e43bbcf55ac356b0a31be8c8322a09fba183b7b7507e9252587bc13  8859-11.TXT
+375cc8d45b331c29e5630bf5c821c85572ffba60487d4d279341bbd13f46750f  8859-13.TXT
+5e72e1c79b2907504111c0965953261c4584cb984465cd88d616452c12fd3782  8859-14.TXT
+bc72d7bd5be1d15bdad8e684f9ae9f573c361bb73812c3084ed1b7622a05e58f  8859-15.TXT
+9164ce844b2bf3f56805c2e9ab8453cc53868757e7f75c4b8dcee7376894d55c  8859-16.TXT
+ccc571829b384b8a2c24b7a62f8aa6a891a6e8c48f08513ef84fd6da26dba4bb  EastAsianWidth.txt
+12a14d533f539604c19e926e6527e653bddafce8f2153653d180051015b947cb  filters_makefile.patch"
+sha512sums="266b50a87f1e9114d84c349dd78d765a48ce6d604a011510bf8a82badb54736a44fb5642e3607fed4006ddb0b5f7394935d2a6eff13140b382620832b9e9f3fe  libmbfl-1.3.2.tar.gz
+9152a07fae83cde8ee22b741f5ee24fd3148eb3f9af9cf9bc8107e0c7a21e8ec43c54255257ed1120be69b4e360545f3facc11b45638ea4ea7b394483a99e5b1  8859-1.TXT
+bc481c48c9879e87b4da465f14d7a1019181d17335ad86a033a8b82952936f7345c08794e77c34b32a5cfd83b836d257c3145a79ebc656cbfd0d01ef33709206  8859-2.TXT
+59a2e89347341237909a40332d577518b3f00493a14d1c868b7bb4eeb0a398149579f724e4160e21ea091928215d9b32894cba72cff2d518a92a789524924cde  8859-3.TXT
+36ea52a15188edf8cdcab7b183bf28b7d2a3e69205fac3cd753a67fcd0a5ea6608fd7ab3724ad5ec4768bd1e2a7a6b14cef4cfd3e8d8c253f7a785b10eb694a7  8859-4.TXT
+ca816ce33039ce77178eafccb94f114bfa06394c100f883ac7e5ee1d233d5e2cc6d683403959e857eb8b702f253dfb7b54edb925283fae82ab2704cef1e58a45  8859-5.TXT
+c9c4720b59440f39a4d9c3e4318cebb7e67536ba2c9e9d211c5e52dec9a1a4e5b3f9233917e1dde59b21b3aa88cf245c7e04890ac4d1b9c203b72cd21b5c18f1  8859-6.TXT
+4a72ff7adddcf62447195f03fefc0e2f2452c9836198dd1566374f98661e1eede8bdb75e5fd1333b3f6b73cd93cf427aef19cbc317759b25f96bd780ba1c2743  8859-7.TXT
+e644bc0e88baa93c52d97caf269a68d83b803aabb340d7ee51d8f51fc4e6de04b7178befab604bc0fd1e5e18149f62a0269be1354caa37a91b49955f72da450b  8859-8.TXT
+1784890a296b718ca18924dbe794ae7073dcb66d31290dd652e3a5cd52131cacb343bb92e3baad044385a153cee6380e394b325fa84a4250b3d90521cd503c6d  8859-9.TXT
+9fd4f9c3634b02adccf25d4a816ccf527028bab935c7bb4d7b4fcacb130d70aaaa44f90cf33997cbf38864641162f386dc7f19a686bf36d1762f9abc92d21035  8859-10.TXT
+59c8e871ce6ba3847aec2b2136a677637c422ac1efe18f96be70a8614dd6e56f14b00f7ae855d508eca24a283513011039d371a61c5a2cefd5b493dc13aa6ed3  8859-11.TXT
+f2d47a222c0052723c194014f96c591dbd9b766f5bb7d605dcca0e39cd56908244a7386078783888119aa9604e46eee31f6287af877083ceb40959ba18a32577  8859-13.TXT
+eb62606eb2bce8c2a29f963b4ad8efab8e4b261f29190b6f0467ba834190d701a371b5bbef8f52b7a2394ddf2be95c1b687f1b9bdfa11dacda6941120c95b86b  8859-14.TXT
+363c9fb2c3f6ce07b6a2afd6f0160550212dfa70c38985a6f525b912a79b1cb35c90cfbe435b7025a1b53d8bbc4cf3a5d32b1bd4b12f059d98799099191157cb  8859-15.TXT
+2bc12bb3e041f44cf30236997ebc4f6f6d210a8665ff74f67d33af415778ac8e6b83cc09dae826ccabdfb9724f142b4b0ff4b81c8ea71b3c7d6d332abba23d66  8859-16.TXT
+1f66848d3dd3ebf68847de3132bb8a9fe5686964c28df69b8f39a6990b5d13fd0fa92cad0945dbed67b310063fb5c51ec85b0aa8ca7e69a55f09457d554d00f0  EastAsianWidth.txt
+7964e0fc8e8825136cca30f81f5929746a326119b238f1c72c16fd7ea51787ef0cdc05180290d28d71ce07cf86e6c0aba7a57ec922f3c5bfa16f85aac5245a57  filters_makefile.patch"
diff --git a/testing/libmbfl/filters_makefile.patch b/testing/libmbfl/filters_makefile.patch
new file mode 100644
index 0000000..1863b18
--- /dev/null
+++ b/testing/libmbfl/filters_makefile.patch
_at_@ -0,0 +1,20 @@
+--- old/filters/Makefile.am
++++ new/filters/Makefile.am
+_at_@ -55,7 +55,7 @@
+ 	mbfilter_euc_kr.c \
+ 	mbfilter_uhc.c \
+ 	mbfilter_iso2022_jp_ms.c \
+-	mbfilter_iso2022_jp_2004.c \
++	mbfilter_iso2022jp_2004.c \
+ 	mbfilter_gb18030.c \
+ 	mbfilter_iso2022_kr.c \
+ 	mbfilter_cp866.c \
+_at_@ -90,7 +90,7 @@
+ 	mbfilter_htmlent.h \
+ 	mbfilter_hz.h \
+ 	mbfilter_iso2022_jp_ms.h \
+-	mbfilter_iso2022_jp_2004.h \
++	mbfilter_iso2022jp_2004.h \
+ 	mbfilter_iso2022_kr.h \
+ 	mbfilter_iso8859_1.h \
+ 	mbfilter_iso8859_10.h \
-- 
2.7.0
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Wed Jan 20 2016 - 13:57:48 GMT